#!/bin/env sh

setupWatchers() {
  inotifywait -e modify,create,delete -m -r "$HOME/.config/theming/applications" &
  inotifywait -e modify,create,delete -m -r "$HOME/.config/theming/library" &
}

setupWatchers | while read line; do
  echo "Recomiling..."
  $HOME/.config/theming/compile.sh >/dev/null
  $HOME/.config/theming/update.sh >/dev/null
done
